import logging

LOG_DEBUG = logging.DEBUG
LOG_INFO = logging.INFO
LOG_WARNING = logging.WARNING
LOG_ERR = logging.ERROR
LOG_CRIT = logging.CRITICAL
ENABLE_DEBUG = False

# Path define
MAILSERV_DIR = "/var/packages/MailPlus-Server/target/backend_hook/"
SCRIPT_DIR_PATH = MAILSERV_DIR + "scripts/"
SCRIPT_CONFIG_PATH = MAILSERV_DIR + "scripts.conf"
TEMPLATE_PATH = MAILSERV_DIR + "monitor_template"
CONFSRC_OUTPUT_DIR = MAILSERV_DIR + "conf_src/"
MONITOR_PATH_BUILD = MAILSERV_DIR + "monitor.conf"
MAILDIR_PREFIX_PATH = "/var/spool/mail"
BACKEND_BINARY = "/var/packages/MailPlus-Server/target/usr/bin/syno-mailplus-server-go-utils"

CONFDEST_OUTPUT_DIR =  "/var/packages/MailPlus-Server/etc/mailconf.d/"
CONFDEST_OUTPUT_CLUSTER_FAIL_TMP_CONFIG="/var/packages/MailPlus-Server/etc/mailconf.d/cluster_fail_tmp_config"

FILE_CONTENT_KEY_PREFIX = "file_content_tree"
# Task Type
SECTION_SERVICE = "SERVICE"
SECTION_KEY = "KEY"
SECTION_TREE = "TREE"
SECTION_FILE = "FILE"
TASK_TYPES = [
    SECTION_TREE,
    SECTION_KEY,
    SECTION_SERVICE,
    SECTION_FILE,
]
SECTION_SERVICE_SCRIPT = "SERVICE_SCRIPT"

CLUSTER_SCRIPT="/var/packages/MailPlus-Server/target/scripts/ClusterDaemon.sh"
MONITOR_PID_FILE="/var/run/mailplus_server/MailMonitor.pid"
CHECK_PEROID = 10

POOL_SIZE = 4
SOCKET_TIMEOUT = 30
BUFSIZ = 4096
SOCKET_ACK = "__ack__"
PRIORITY_TOKEN = "-"
SCTIPT_KEV_VAL_PATH="/var/tmp/mailServerScriptTmpKV"
SCTIPT_KEV_VAL_TMP_PATH="/var/tmp/mailServerScriptTmpKV_tmp"
REGISTER_SERV_RETRY_MAX_TIMES = 2


## Env
ENV_OUTPUT_FILE = "/tmp/mailplus_server/env_output"
ENV_KEY_PREFIX = "_MAIL_"
ENV_TRIGGER_EVENTS_KEY = ENV_KEY_PREFIX + "mailserver_trigger_events"
ENV_TRIGGER_TREE_KEY = ENV_KEY_PREFIX + "mailserver_trigger_tree"

## KV Prefix
KV_FILE_UPLOAD_PREFIX="file_upload_hook-"


BATCH_DAEMON_PATH="/tmp/mailplus_server/.cmd"
