#!/bin/bash

. /var/packages/MailPlus-Server/target/backend_hook/hookUtils.conf
loadEnv

## Check identity
if ! isKeyChanged "mailer"; then
	exit 0
fi
nodeID=$(getHostID)
MAILER_NODE=$(${MAILPLUS_SERVER_BACKEND_BINARY} --getConfKeyVal "mailer")
if ! containString "${nodeID}" "${MAILER_NODE}"; then
	exit 0
fi

## Actions
/var/packages/MailPlus-Server/target/scripts/daemon/syno_mailserverd.sh start

exit 0
