#!/usr/bin/env python3
import sys
sys.path.append("/var/packages/MailPlus-Server/target/backend_hook/")

from _Utils import *

DOVEADM_BIN = '/var/packages/MailPlus-Server/target/bin/doveadm'

cAPI = BackendAPI()

if __name__ == '__main__':
    active_raw = cAPI.getActiveUserList()
    active_lists = active_raw.split('\n')
    active_set = set([user.strip() for user in active_lists])

    cmd = '{0} who 2>&1'.format(DOVEADM_BIN)
    imap_raw, _ = executeCommand(cmd, True)
    imap_lists = imap_raw.split('\n')
    imap_login_lists = [entry.split()[0] for entry in imap_lists[1:]]

    logout_users_list = [user for user in imap_login_lists if user not in active_set]
    for user in logout_users_list:
        cmd = '{0} kick {1} > /dev/null 2>&1'.format(DOVEADM_BIN, user)
        executeCommand(cmd, False)
