#!/bin/sh

case $1 in
	--getDefaultIFIP)
		ifconfig $(route -n | grep "UG " | awk '{print $8}' | head -n 1) | grep 'inet addr' | awk '{print $2}' | awk -F':' '{print $2}' | head -n 1
		;;
	--removeConfig)
		/var/packages/MailPlus-Server/target/usr/bin/syno-mailplus-server-go-utils \
			"backend-command" "--command" "del_dir" "--key" "$2"
		if [ 0 -ne $? ]; then
			. /var/packages/MailPlus-Server/target/scripts/MailPlusServerLogUtil.sh
			err_log "/var/packages/MailPlus-Server/target/usr/bin/syno-mailplus-server-go-utils $2 fail"
		fi
		;;
	--runUpdater)
		#updater after restore
		. /var/packages/MailPlus-Server/scripts/UpgradeUtil.sh
		update_process "/var/packages/MailPlus-Server/target/bin/restore_updater" "/var/packages/MailPlus-Server/target/restore_flag"
		if [ 0 -ne $? ]; then
			exit 1
		fi
		;;
	*)
		echo "--getDefaultIFIP | --removeConfig key | --runUpdater"
		;;
esac
