#!/bin/bash
. /var/packages/MailPlus-Server/target/backend_hook/hookUtils.conf
updateNodeList()
{
	local nodeID="$(${MAILPLUS_SERVER_BACKEND_BINARY} --getHostID)"
	local nodeIPList="$(${MAILPLUS_SERVER_BACKEND_BINARY} --getHostIPList)"
	local key="node_ip_list-${nodeID}"

	if ! ${MAILPLUS_SERVER_BACKEND_BINARY} --setConfKeyVal "${key}" "${nodeIPList}"; then
		 err_log "[MailPlusServerIFaction] - Failed to update node ip list [${key}] to [${nodeIPList}] when interface up/down"
	fi
}
