#!/bin/bash
if  [ ! -e "/var/packages/MailPlus-Server/target/" ]; then
	exit 0
fi
. /var/packages/MailPlus-Server/target/scripts/DsmVersionUtil.sh

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "MailPlus-Server";
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
	;;
	--post)
		if [ "tun1000" = "${IFNAME}" ]; then
			exit 0
		fi
		if isPackageStarted && /var/packages/MailPlus-Server/target/bin/syno_mailserver_backend --isClusterInit; then
			. /var/packages/MailPlus-Server/target/hook/MailPlusServerIFComm.sh
			info_log "[MailPlusServerIFDown-${IFNAME}] - start updateNodeList"
			updateNodeList
			info_log "[MailPlusServerIFDown-${IFNAME}] - Fisish updateNodeList"
		fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

