GetArchiveSetting()
{
	ARCHIVE_DEST_SHARE="$(${MAILPLUS_SERVER_BACKEND_BINARY} --getConfKeyVal "archive_destination")"
	ARCHIVE_ENABLED="$(${MAILPLUS_SERVER_BACKEND_BINARY} --getConfKeyVal "archive_enable_schedule")"
}

SvrShareCheck()
{
	local SHARE_LEN=${#CHK_SHARE}
	local SUBSTR_LEN="$(expr match "${ARCHIVE_DEST_SHARE}" "${CHK_SHARE}")"

	if [ 0 == ${SHARE_LEN} ]; then
		IS_DEST_SHARE=0;
	elif [ "" != "${ARCHIVE_DEST_SHARE}" -a "${CHK_SHARE}" == "${ARCHIVE_DEST_SHARE}" ] ; then
		IS_DEST_SHARE=1;
	elif [ "${SHARE_LEN}" == "${SUBSTR_LEN}" -a "/" == "${ARCHIVE_DEST_SHARE:$SUBSTR_LEN:1}" ] ; then
		PATH_SUFFIX=${ARCHIVE_DEST_SHARE:$SUBSTR_LEN}
		IS_DEST_SHARE=1;
	else
		IS_DEST_SHARE=0;
	fi
}

SendShareRemoveNotification()
{
	local SHARE_PATH=$1
	local SYNO_SEND_NOTIFICATION="${PRIVATE_LOCATION}/bin/syno_send_notification"
	local KEY_VALUE_PAIR="%SHARED_FOLDER%=${SHARE_PATH}"
	local EVENT_NAME="MAILPLUS_SERVER_ARCHIVE_SHARE_REMOVE"

	${SYNO_SEND_NOTIFICATION} -e ${EVENT_NAME} "${KEY_VALUE_PAIR}"
}
