#$1: signal name
#$2: pid
killByPid()
{
	local signal=$1
	local pid=$(echo $2) #trim spaces

	[ -n "${pid}" -a -d "/proc/${pid}" ] && kill -s "${signal}" "${pid}" &> /dev/null
}
#$1: signal name
#$2: pid file
killByPidFile()
{
	local signal=$1
	local file=$2

	[ -f "${file}" ] && killByPid "$signal" "$(cat "${file}")"
}
