#!/bin/bash

#args: type, master, slaves[, use_dhcp, static ip, netmask]
TYPE=$1
MASTER_IF=$2
SLAVES=$3 #list split with ,
USE_DHCP=$4

MAILPLUS_SERVER_IF="$(/var/packages/MailPlus-Server/target/bin/syno_mailserver_backend --getHostIF)"
NODE_NUM=$(/var/packages/MailPlus-Server/target/bin/syno_mailserver_backend --getPeersNum)

if [ "${MAILPLUS_SERVER_IF}" == "${MASTER_IF}" ] || [[ "${SLAVES}" =~ (^|,)"${MAILPLUS_SERVER_IF}"($|,) ]] ; then
	if [ "${NODE_NUM}" -gt 1 ]; then
		exit 1;
	fi
	if /var/packages/MailPlus-Server/target/bin/syno_mailserver_backend --isClusterInit && ! /var/packages/MailPlus-Server/target/scripts/ClusterDaemon.sh status; then
		#block change when cluster is not healthy
		exit 1
	fi
fi

exit 0;
