#!/bin/bash
. /var/packages/MailPlus-Server/target/backend_hook/hookUtils.conf
loadEnv

## Check identity
NODE_ID=$(getHostID)
mailer_servers="$(${MAILPLUS_SERVER_BACKEND_BINARY} --getConfKeyVal "mailer")"
if ! containString "${NODE_ID}" "${mailer_servers}"; then
	exit 0
fi

## Actions
if ! ${CALLBACK_BINARY} "dkim_key" "${_MAIL_mailserver_trigger_events}"; then
	err_log "Failed to callback dkim_key"
	exit 1
fi

exit 0
