#!/bin/bash

. /var/packages/MailPlus-Server/target/scripts/daemon/util.sh

if ! /var/packages/MailPlus-Server/target/bin/syno_mailserver_backend --isClusterInit; then
	exit 0
fi

DOVECOT_SH="${MAIL_SERVER_PKG}/target/scripts/daemon/dovecot.sh"
DIRECTOR_SH="${MAIL_SERVER_PKG}/target/scripts/daemon/director.sh"

reload_dovecot()
{
	/var/packages/MailPlus-Server/target/bin/syno_set_config dovecot

	${DOVECOT_SH} status
	if [ $? == "${SERVICE_RUNNING}" ]; then
		${DOVECOT_SH} restart
	fi

	${DIRECTOR_SH} status
	if [ $? == "${SERVICE_RUNNING}" ]; then
		${DIRECTOR_SH} restart
	fi
}

reload_dovecot
