#!/bin/bash

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo "1.0";
		;;
	--name)
		#Print package name
		echo "MailPlus-Server";
		;;
	--pkg-ver)
		#Print package version
		echo "1.0";
		;;
	--vendor)
		#Print package vendor
		echo "Synology";
		;;
	--pre)
		. /var/packages/MailPlus-Server/target/backend_hook/hookUtils.conf
		"${PRIVATE_LOCATION}/bin/syno_license_tool" "leaveMyDSAccountHook"
		if [ $? -ne 0 ]; then
			err_log "[Hook] leave my ds account hook fail"
		fi
		;;
	--post)
		;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac
