#!/bin/bash

. /var/packages/MailPlus-Server/target/scripts/daemon/util.sh

if ! ${MAILPLUS_SERVER_BACKEND_BINARY} --isClusterInit; then
	exit 0
fi

POSTFIX_SH="${MAIL_SERVER_PKG}/target/scripts/daemon/postfix.sh"
HAPROXY_SH="${MAIL_SERVER_PKG}/target/scripts/daemon/haproxy.sh"

reload_postfix()
{
	/var/packages/MailPlus-Server/target/bin/syno_set_config smtp

	${POSTFIX_SH} status
	if [ $? == "${SERVICE_RUNNING}" ]; then
		${POSTFIX_SH} reload
	fi

	${HAPROXY_SH} status
	if [ $? == "${SERVICE_RUNNING}" ]; then
		${MAIL_SERVER_PKG}/target/scripts/HAProxyConfigGenerator.py
		${HAPROXY_SH} restart
	fi
}

reload_postfix
