#!/bin/bash

MAILPLUS_SERVER_LOG_UTIL="mailplus server"
LOG_ERR=3
LOG_WARN=4
LOG_INFO=6
LOG_DEBUG=7
# Functions
err_log() {
	logger -u '/var/run/syslog' -t 'MailPlus-Server' -p ${LOG_ERR} "<$0>: " "$@"
}
warn_log() {
	logger -u '/var/run/syslog' -t 'MailPlus-Server' -p ${LOG_WARN} "<$0>: " "$@"
}
info_log() {
	logger -u '/var/run/syslog' -t 'MailPlus-Server' -p ${LOG_INFO} "<$0>: " "$@"
}
debug_log() {
	return 0
	logger -u '/var/run/syslog' -t 'MailPlus-Server' -p ${LOG_DEBUG} "Debug: <$0>: " "$@"
}
